ml; charset=UTF-8
Last-Modified: Sat, 10 May 2025 05:23:06 GMT
Expires: Tue, 08 May 2035 05:23:06 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>add xchat r1489 - torxchat.git - Unnamed repository; edit this file 'description' to name the repository.</title>
<meta name='generator' content='cgit 1.4.1'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/git-repos/cgit.css'/>
<link rel='alternate' title='Atom feed' href='http://soniex2.autistic.space/git-repos/torxchat.git/atom/COPYING?h=feature/flexible-cert' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/git-repos/'><img src='/git-repos/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/git-repos/'>index</a> : <a href='/git-repos/torxchat.git/'>torxchat.git</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='4a6ceffb98a0b785494f680d3776c4bfc4052f9e'/><select name='h' onchange='this.form.submit();'>
<option value='aa921ca2a04f674d81ca61d8a305ed35745df48a'>this commit</option>
<optgroup label='branches'><option value='branch-info'>branch-info</option>
<option value='default'>default</option>
<option value='fe-web'>fe-web</option>
<option value='feature/flexible-cert' selected='selected'>feature/flexible-cert</option>
<option value='feature/fork-branding'>feature/fork-branding</option>
<option value='feature/tls-srp'>feature/tls-srp</option>
<option value='feature/tor-i2p-dcc'>feature/tor-i2p-dcc</option>
<option value='fix-ub'>fix-ub</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Unnamed repository; edit this file 'description' to name the repository.</td><td class='sub right'>blog</td></tr></table>
<table class='tabs'><tr><td>
<a href='/git-repos/torxchat.git/?h=feature/flexible-cert'>summary</a> <a href='/git-repos/torxchat.git/refs/?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>refs</a> <a href='/git-repos/torxchat.git/log/COPYING?h=feature/flexible-cert'>log</a> <a href='/git-repos/torxchat.git/tree/COPYING?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>tree</a> <a class='active' href='/git-repos/torxchat.git/commit/COPYING?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>commit</a> <a href='/git-repos/torxchat.git/diff/COPYING?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>diff</a> <a href='/git-repos/torxchat.git/stats/COPYING?h=feature/flexible-cert'>stats</a></td><td class='form'><form class='right' method='get' action='/git-repos/torxchat.git/log/COPYING'>
<input type='hidden' name='h' value='feature/flexible-cert'/><input type='hidden' name='id' value='4a6ceffb98a0b785494f680d3776c4bfc4052f9e'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/git-repos/torxchat.git/commit/?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>root</a>/<a href='/git-repos/torxchat.git/commit/COPYING?h=feature/flexible-cert&amp;id=4a6ceffb98a0b785494f680d3776c4bfc4052f9e'>COPYING</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='feature/flexible-cert'/><input type='hidden' name='id' value='4a6ceffb98a0b785494f680d3776c4bfc4052f9e'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>prefix=@prefix@
exec_prefix=${prefix}
includedir=@includedir@
hexchatlibdir=@hexchatlibdir@

Name: HexChat plugins
Description: Header and path for HexChat plugins
Version: @VERSION@
Cflags: -I${includedir}
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-05-10 05:23:06 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
an>
<span class='add'>+  Also, for each author's protection and ours, we want to make certain</span>
<span class='add'>+that everyone understands that there is no warranty for this free</span>
<span class='add'>+software.  If the software is modified by someone else and passed on, we</span>
<span class='add'>+want its recipients to know that what they have is not the original, so</span>
<span class='add'>+that any problems introduced by others will not reflect on the original</span>
<span class='add'>+authors' reputations.</span>
<span class='add'>+</span>
<span class='add'>+  Finally, any free program is threatened constantly by software</span>
<span class='add'>+patents.  We wish to avoid the danger that redistributors of a free</span>
<span class='add'>+program will individually obtain patent licenses, in effect making the</span>
<span class='add'>+program proprietary.  To prevent this, we have made it clear that any</span>
<span class='add'>+patent must be licensed for everyone's free use or not licensed at all.</span>
<span class='add'>+</span>
<span class='add'>+  The precise terms and conditions for copying, distribution and</span>
<span class='add'>+modification follow.</span>
<span class='add'>+</span>
<span class='add'>+		    GNU GENERAL PUBLIC LICENSE</span>
<span class='add'>+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</span>
<span class='add'>+</span>
<span class='add'>+  0. This License applies to any program or other work which contains</span>
<span class='add'>+a notice placed by the copyright holder saying it may be distributed</span>
<span class='add'>+under the terms of this General Public License.  The "Program", below,</span>
<span class='add'>+refers to any such program or work, and a "work based on the Program"</span>
<span class='add'>+means either the Program or any derivative work under copyright law:</span>
<span class='add'>+that is to say, a work containing the Program or a portion of it,</span>
<span class='add'>+either verbatim or with modifications and/or translated into another</span>
<span class='add'>+language.  (Hereinafter, translation is included without limitation in</span>
<span class='add'>+the term "modification".)  Each licensee is addressed as "you".</span>
<span class='add'>+</span>
<span class='add'>+Activities other than copying, distribution and modification are not</span>
<span class='add'>+covered by this License; they are outside its scope.  The act of</span>
<span class='add'>+running the Program is not restricted, and the output from the Program</span>
<span class='add'>+is covered only if its contents constitute a work based on the</span>
<span class='add'>+Program (independent of having been made by running the Program).</span>
<span class='add'>+Whether that is true depends on what the Program does.</span>
<span class='add'>+</span>
<span class='add'>+  1. You may copy and distribute verbatim copies of the Program's</span>
<span class='add'>+source code as you receive it, in any medium, provided that you</span>
<span class='add'>+conspicuously and appropriately publish on each copy an appropriate</span>
<span class='add'>+copyright notice and disclaimer of warranty; keep intact all the</span>
<span class='add'>+notices that refer to this License and to the absence of any warranty;</span>
<span class='add'>+and give any other recipients of the Program a copy of this License</span>
<span class='add'>+along with the Program.</span>
<span class='add'>+</span>
<span class='add'>+You may charge a fee for the physical act of transferring a copy, and</span>
<span class='add'>+you may at your option offer warranty protection in exchange for a fee.</span>
<span class='add'>+</span>
<span class='add'>+  2. You may modify your copy or copies of the Program or any portion</span>
<span class='add'>+of it, thus forming a work based on the Program, and copy and</span>
<span class='add'>+distribute such modifications or work under the terms of Section 1</span>
<span class='add'>+above, provided that you also meet all of these conditions:</span>
<span class='add'>+</span>
<span class='add'>+    a) You must cause the modified files to carry prominent notices</span>
<span class='add'>+    stating that you changed the files and the date of any change.</span>
<span class='add'>+</span>
<span class='add'>+    b) You must cause any work that you distribute or publish, that in</span>
<span class='add'>+    whole or in part contains or is derived from the Program or any</span>
<span class='add'>+    part thereof, to be licensed as a whole at no charge to all third</span>
<span class='add'>+    parties under the terms of this License.</span>
<span class='add'>+</span>
<span class='add'>+    c) If the modified program normally reads commands interactively</span>
<span class='add'>+    when run, you must cause it, when started running for such</span>
<span class='add'>+    interactive use in the most ordinary way, to print or display an</span>
<span class='add'>+    announcement including an appropriate copyright notice and a</span>
<span class='add'>+    notice that there is no warranty (or else, saying that you provide</span>
<span class='add'>+    a warranty) and that users may redistribute the program under</span>
<span class='add'>+    these conditions, and telling the user how to view a copy of this</span>
<span class='add'>+    License.  (Exception: if the Program itself is interactive but</span>
<span class='add'>+    does not normally print such an announcement, your work based on</span>
<span class='add'>+    the Program is not required to print an announcement.)</span>
<span class='add'>+</span>
<span class='add'>+These requirements apply to the modified work as a whole.  If</span>
<span class='add'>+identifiable sections of that work are not derived from the Program,</span>
<span class='add'>+and can be reasonably considered independent and separate works in</span>
<span class='add'>+themselves, then this License, and its terms, do not apply to those</span>
<span class='add'>+sections when you distribute them as separate works.  But when you</span>
<span class='add'>+distribute the same sections as part of a whole which is a work based</span>
<span class='add'>+on the Program, the distribution of the whole must be on the terms of</span>
<span class='add'>+this License, whose permissions for other licensees extend to the</span>
<span class='add'>+entire whole, and thus to each and every part regardless of who wrote it.</span>
<span class='add'>+</span>
<span class='add'>+Thus, it is not the intent of this section to claim rights or contest</span>
<span class='add'>+your rights to work written entirely by you; rather, the intent is to</span>
<span class='add'>+exercise the right to control the distribution of derivative or</span>
<span class='add'>+collective works based on the Program.</span>
<span class='add'>+</span>
<span class='add'>+In addition, mere aggregation of another work not based on the Program</span>
<span class='add'>+with the Program (or with a work based on the Program) on a volume of</span>
<span class='add'>+a storage or distribution medium does not bring the other work under</span>
<span class='add'>+the scope of this License.</span>
<span class='add'>+</span>
<span class='add'>+  3. You may copy and distribute the Program (or a work based on it,</span>
<span class='add'>+under Section 2) in object code or executable form under the terms of</span>
<span class='add'>+Sections 1 and 2 above provided that you also do one of the following:</span>
<span class='add'>+</span>
<span class='add'>+    a) Accompany it with the complete corresponding machine-readable</span>
<span class='add'>+    source code, which must be distributed under the terms of Sections</span>
<span class='add'>+    1 and 2 above on a medium customarily used for software interchange; or,</span>
<span class='add'>+</span>
<span class='add'>+    b) Accompany it with a written offer, valid for at least three</span>
<span class='add'>+    years, to give any third party, for a charge no more than your</span>
<span class='add'>+    cost of physically performing source distribution, a complete</span>
<span class='add'>+    machine-readable copy of the corresponding source code, to be</span>
<span class='add'>+    distributed under the terms of Sections 1 and 2 above on a medium</span>
<span class='add'>+    customarily used for software interchange; or,</span>
<span class='add'>+</span>
<span class='add'>+    c) Accompany it with the information you received as to the offer</span>
<span class='add'>+    to distribute corresponding source code.  (This alternative is</span>
<span class='add'>+    allowed only for noncommercial distribution and only if you</span>
<span class='add'>+    received the program in object code or executable form with such</span>
<span class='add'>+    an offer, in accord with Subsection b above.)</span>
<span class='add'>+</span>
<span class='add'>+The source code for a work means the preferred form of the work for</span>
<span class='add'>+making modifications to it.  For an executable work, complete source</span>
<span class='add'>+code means all the source code for all modules it contains, plus any</span>
<span class='add'>+associated interface definition files, plus the scripts used to</span>
<span class='add'>+control compilation and installation of the executable.  However, as a</span>
<span class='add'>+special exception, the source code distributed need not include</span>
<span class='add'>+anything that is normally distributed (in either source or binary</span>
<span class='add'>+form) with the major components (compiler, kernel, and so on) of the</span>
<span class='add'>+operating system on which the executable runs, unless that component</span>
<span class='add'>+itself accompanies the executable.</span>
<span class='add'>+</span>
<span class='add'>+If distribution of executable or object code is made by offering</span>
<span class='add'>+access to copy from a designated place, then offering equivalent</span>
<span class='add'>+access to copy the source code from the same place counts as</span>
<span class='add'>+distribution of the source code, even though third parties are not</span>
<span class='add'>+compelled to copy the source along with the object code.</span>
<span class='add'>+</span>
<span class='add'>+  4. You may not copy, modify, sublicense, or distribute the Program</span>
<span class='add'>+except as expressly provided under this License.  Any attempt</span>
<span class='add'>+otherwise to copy, modify, sublicense or distribute the Program is</span>
<span class='add'>+void, and will automatically terminate your rights under this License.</span>
<span class='add'>+However, parties who have received copies, or rights, from you under</span>
<span class='add'>+this License will not have their licenses terminated so long as such</span>
<span class='add'>+parties remain in full compliance.</span>
<span class='add'>+</span>
<span class='add'>+  5. You are not required to accept this License, since you have not</span>
<span class='add'>+signed it.  However, nothing else grants you permission to modify or</span>
<span class='add'>+distribute the Program or its derivative works.  These actions are</span>
<span class='add'>+prohibited by law if you do not accept this License.  Therefore, by</span>
<span class='add'>+modifying or distributing the Program (or any work based on the</span>
<span class='add'>+Program), you indicate your acceptance of this License to do so, and</span>
<span class='add'>+all its terms and conditions for copying, distributing or modifying</span>
<span class='add'>+the Program or works based on it.</span>
<span class='add'>+</span>
<span class='add'>+  6. Each time you redistribute the Program (or any work based on the</span>
<span class='add'>+Program), the recipient automatically receives a license from the</span>
<span class='add'>+original licensor to copy, distribute or modify the Program subject to</span>
<span class='add'>+these terms and conditions.  You may not impose any further</span>
<span class='add'>+restrictions on the recipients' exercise of the rights granted herein.</span>
<span class='add'>+You are not responsible for enforcing compliance by third parties to</span>
<span class='add'>+this License.</span>
<span class='add'>+</span>
<span class='add'>+  7. If, as a consequence of a court judgment or allegation of patent</span>
<span class='add'>+infringement or for any other reason (not limited to patent issues),</span>
<span class='add'>+conditions are imposed on you (whether by court order, agreement or</span>
<span class='add'>+otherwise) that contradict the conditions of this License, they do not</span>
<span class='add'>+excuse you from the conditions of this License.  If you cannot</span>
<span class='add'>+distribute so as to satisfy simultaneously your obligations under this</span>
<span class='add'>+License and any other pertinent obligations, then as a consequence you</span>
<span class='add'>+may not distribute the Program at all.  For example, if a patent</span>
<span class='add'>+license would not permit royalty-free redistribution of the Program by</span>
<span class='add'>+all those who receive copies directly or indirectly through you, then</span>
<span class='add'>+the only way you could satisfy both it and this License would be to</span>
<span class='add'>+refrain entirely from distribution of the Program.</span>
<span class='add'>+</span>
<span class='add'>+If any portion of this section is held invalid or unenforceable under</span>
<span class='add'>+any particular circumstance, the balance of the section is intended to</span>
<span class='add'>+apply and the section as a whole is intended to apply in other</span>
<span class='add'>+circumstances.</span>
<span class='add'>+</span>
<span class='add'>+It is not the purpose of this section to induce you to infringe any</span>
<span class='add'>+patents or other property right claims or to contest validity of any</span>
<span class='add'>+such claims; this section has the sole purpose of protecting the</span>
<span class='add'>+integrity of the free software distribution system, which is</span>
<span class='add'>+implemented by public license practices.  Many people have made</span>
<span class='add'>+generous contributions to the wide range of software distributed</span>
<span class='add'>+through that system in reliance on consistent application of that</span>
<span class='add'>+system; it is up to the author/donor to decide if he or she is willing</span>
<span class='add'>+to distribute software through any other system and a licensee cannot</span>
<span class='add'>+impose that choice.</span>
<span class='add'>+</span>
<span class='add'>+This section is intended to make thoroughly clear what is believed to</span>
<span class='add'>+be a consequence of the rest of this License.</span>
<span class='add'>+</span>
<span class='add'>+  8. If the distribution and/or use of the Program is restricted in</span>
<span class='add'>+certain countries either by patents or by copyrighted interfaces, the</span>
<span class='add'>+original copyright holder who places the Program under this License</span>
<span class='add'>+may add an explicit geographical distribution limitation excluding</span>
<span class='add'>+those countries, so that distribution is permitted only in or among</span>
<span class='add'>+countries not thus excluded.  In such case, this License incorporates</span>
<span class='add'>+the limitation as if written in the body of this License.</span>
<span class='add'>+</span>
<span class='add'>+  9. The Free Software Foundation may publish revised and/or new versions</span>
<span class='add'>+of the General Public License from time to time.  Such new versions will</span>
<span class='add'>+be similar in spirit to the present version, but may differ in detail to</span>
<span class='add'>+address new problems or concerns.</span>
<span class='add'>+</span>
<span class='add'>+Each version is given a distinguishing version number.  If the Program</span>
<span class='add'>+specifies a version number of this License which applies to it and "any</span>
<span class='add'>+later version", you have the option of following the terms and conditions</span>
<span class='add'>+either of that version or of any later version published by the Free</span>
<span class='add'>+Software Foundation.  If the Program does not specify a version number of</span>
<span class='add'>+this License, you may choose any version ever published by the Free Software</span>
<span class='add'>+Foundation.</span>
<span class='add'>+</span>
<span class='add'>+  10. If you wish to incorporate parts of the Program into other free</span>
<span class='add'>+programs whose distribution conditions are different, write to the author</span>
<span class='add'>+to ask for permission.  For software which is copyrighted by the Free</span>
<span class='add'>+Software Foundation, write to the Free Software Foundation; we sometimes</span>
<span class='add'>+make exceptions for this.  Our decision will be guided by the two goals</span>
<span class='add'>+of preserving the free status of all derivatives of our free software and</span>
<span class='add'>+of promoting the sharing and reuse of software generally.</span>
<span class='add'>+</span>
<span class='add'>+			    NO WARRANTY</span>
<span class='add'>+</span>
<span class='add'>+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY</span>
<span class='add'>+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN</span>
<span class='add'>+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES</span>
<span class='add'>+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED</span>
<span class='add'>+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF</span>
<span class='add'>+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS</span>
<span class='add'>+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE</span>
<span class='add'>+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,</span>
<span class='add'>+REPAIR OR CORRECTION.</span>
<span class='add'>+</span>
<span class='add'>+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING</span>
<span class='add'>+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR</span>
<span class='add'>+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,</span>
<span class='add'>+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING</span>
<span class='add'>+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED</span>
<span class='add'>+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY</span>
<span class='add'>+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER</span>
<span class='add'>+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE</span>
<span class='add'>+POSSIBILITY OF SUCH DAMAGES.</span>
<span class='add'>+</span>
<span class='add'>+		     END OF TERMS AND CONDITIONS</span>
<span class='add'>+</span>
<span class='add'>+	    How to Apply These Terms to Your New Programs</span>
<span class='add'>+</span>
<span class='add'>+  If you develop a new program, and you want it to be of the greatest</span>
<span class='add'>+possible use to the public, the best way to achieve this is to make it</span>
<span class='add'>+free software which everyone can redistribute and change under these terms.</span>
<span class='add'>+</span>
<span class='add'>+  To do so, attach the following notices to the program.  It is safest</span>
<span class='add'>+to attach them to the start of each source file to most effectively</span>
<span class='add'>+convey the exclusion of warranty; and each file should have at least</span>
<span class='add'>+the "copyright" line and a pointer to where the full notice is found.</span>
<span class='add'>+</span>
<span class='add'>+    &lt;one line to give the program's name and a brief idea of what it does.&gt;</span>
<span class='add'>+    Copyright (C) 19yy  &lt;name of author&gt;</span>
<span class='add'>+</span>
<span class='add'>+    This program is free software; you can redistribute it and/or modify</span>
<span class='add'>+    it under the terms of the GNU General Public License as published by</span>
<span class='add'>+    the Free Software Foundation; either version 2 of the License, or</span>
<span class='add'>+    (at your option) any later version.</span>
<span class='add'>+</span>
<span class='add'>+    This program is distributed in the hope that it will be useful,</span>
<span class='add'>+    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<span class='add'>+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<span class='add'>+    GNU General Public License for more details.</span>
<span class='add'>+</span>
<span class='add'>+    You should have received a copy of the GNU General Public License</span>
<span class='add'>+    along with this program; if not, write to the Free Software</span>
<span class='add'>+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<span class='add'>+</span>
<span class='add'>+</span>
<span class='add'>+Also add information on how to contact you by electronic and paper mail.</span>
<span class='add'>+</span>
<span class='add'>+If the program is interactive, make it output a short notice like this</span>
<span class='add'>+when it starts in an interactive mode:</span>
<span class='add'>+</span>
<span class='add'>+    Gnomovision version 69, Copyright (C) 19yy name of author</span>
<span class='add'>+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.</span>
<span class='add'>+    This is free software, and you are welcome to redistribute it</span>
<span class='add'>+    under certain conditions; type `show c' for details.</span>
<span class='add'>+</span>
<span class='add'>+The hypothetical commands `show w' and `show c' should show the appropriate</span>
<span class='add'>+parts of the General Public License.  Of course, the commands you use may</span>
<span class='add'>+be called something other than `show w' and `show c'; they could even be</span>
<span class='add'>+mouse-clicks or menu items--whatever suits your program.</span>
<span class='add'>+</span>
<span class='add'>+You should also get your employer (if you work as a programmer) or your</span>
<span class='add'>+school, if any, to sign a "copyright disclaimer" for the program, if</span>
<span class='add'>+necessary.  Here is a sample; alter the names:</span>
<span class='add'>+</span>
<span class='add'>+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program</span>
<span class='add'>+  `Gnomovision' (which makes passes at compilers) written by James Hacker.</span>
<span class='add'>+</span>
<span class='add'>+  &lt;signature of Ty Coon&gt;, 1 April 1989</span>
<span class='add'>+  Ty Coon, President of Vice</span>
<span class='add'>+</span>
<span class='add'>+This General Public License does not permit incorporating your program into</span>
<span class='add'>+proprietary programs.  If your program is a subroutine library, you may</span>
<span class='add'>+consider it more useful to permit linking proprietary applications with the</span>
<span class='add'>+library.  If this is what you want to do, use the GNU Library General</span>
<span class='add'>+Public License instead of this License.</span>
</pre></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1</a> (<a href='https://git-scm.com/'>git 2.36.1</a>) at 2025-05-10 05:23:06 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
